> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出模型

> 基于生产环境复核，使用 GET /v1/models 获取当前 Token 可用模型列表

# 列出模型

```
GET /v1/models
```

返回当前 API Key 可用的模型列表。

本文页只写入 `2026-04-14` 已在 Crazyrouter 生产环境复核过的行为。

## 认证

```text theme={null}
Authorization: Bearer YOUR_API_KEY
```

## 请求示例

<CodeGroup>
  ```bash cURL theme={null}
  curl https://crazyrouter.com/v1/models \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="YOUR_API_KEY",
      base_url="https://crazyrouter.com/v1"
  )

  models = client.models.list()

  for model in models.data:
      print(model.id)
  ```

  ```javascript Node.js theme={null}
  import OpenAI from "openai";

  const client = new OpenAI({
    apiKey: "YOUR_API_KEY",
    baseURL: "https://crazyrouter.com/v1",
  });

  const models = await client.models.list();

  for (const model of models.data) {
    console.log(model.id);
  }
  ```
</CodeGroup>

***

## 当前生产验证结论

在 `2026-04-14` 的生产复核中：

* 端点返回 `200`
* 顶层 `success` 为 `true`
* 顶层 `object` 为 `list`
* 当前返回模型数量为 `605`
* 以下模型已确认出现在返回列表中：
  * `gpt-5.4`
  * `claude-sonnet-4-6`
  * `claude-opus-4-6-thinking`
  * `gemini-3-pro-preview`

<Note>
  模型总数和具体列表会随渠道配置、令牌权限和平台更新而变化，不应把文档示例当成固定全集。
</Note>

***

## 响应示例

```json theme={null}
{
  "success": true,
  "object": "list",
  "data": [
    {
      "id": "gpt-5.4",
      "object": "model",
      "created": 1700000000,
      "owned_by": "openai"
    },
    {
      "id": "claude-sonnet-4-6",
      "object": "model",
      "created": 1700000000,
      "owned_by": "anthropic"
    },
    {
      "id": "claude-opus-4-6-thinking",
      "object": "model",
      "created": 1700000000,
      "owned_by": "anthropic"
    },
    {
      "id": "gemini-3-pro-preview",
      "object": "model",
      "created": 1700000000,
      "owned_by": "google"
    }
  ]
}
```

## 常看字段

| 字段         | 类型      | 说明               |
| ---------- | ------- | ---------------- |
| `success`  | boolean | 请求是否成功           |
| `id`       | string  | 调用 API 时传入的模型标识符 |
| `object`   | string  | 固定为 `model`      |
| `created`  | integer | 时间戳              |
| `owned_by` | string  | 模型所属组织或来源标识      |

***

## 定价信息

如果你还需要公共定价信息，可查看：

```text theme={null}
GET /api/pricing
```

本轮生产复核确认该端点返回 JSON 对象，常见顶层字段包括：

* `data`
* `popular_models`
* `supported_endpoint`
* `vendors`

<Note>
  端点支持口径请看 `GET /api/pricing` 里的 `supported_endpoint_types` / `public_endpoint_types`。其中 `openai` 对应 `POST /v1/chat/completions`，`anthropic` 对应 `POST /v1/messages`，只有 `openai-response` 才对应 `POST /v1/responses`。Claude 当前公开支持的是 `openai` + `anthropic`，不支持 `openai-response`。
</Note>

相关页面：

* [Gemini 兼容 OpenAI 模型列表](/chat/gemini/openai-models)
